Last modified: 2014-06-21 15:49:23 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 64067 - UploadWizard blocks upgrade when used with PostgreSQL
UploadWizard blocks upgrade when used with PostgreSQL
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UploadWizard (Other open bugs)
REL1_22-branch
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: postgres 63893
  Show dependency treegraph
 
Reported: 2014-04-17 17:43 UTC by Jeff Janes
Modified: 2014-06-21 15:49 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jeff Janes 2014-04-17 17:43:32 UTC
If I try to run "php maintenance/update.php" on a wiki that uses PostgreSQL as the database while UploadWizard is installed, it fails because extensions/UploadWizard/UploadWizard.sql tries to create a table uw_campaigns using syntax that is not valid in PostgreSQL.

If I inactivate the extension by commenting out the:
require_once( "$IP/extensions/UploadWizard/UploadWizard.php" );
then the upgrade completes.  This leaves the uw_compaigns table missing.  

Are there other extensions with db-engine-specific behavior, to serve as an example of the right way to fix this?

Presumably this problem applies to other branches as well, I only tested on 1.22.5 so far.
Comment 1 Gerrit Notification Bot 2014-05-09 03:29:22 UTC
Change 132328 had a related patch set uploaded by Jjanes:
UploadWizard: Add support for PostgreSQL

https://gerrit.wikimedia.org/r/132328
Comment 2 Jeff Janes 2014-05-09 16:49:15 UTC
Does anyone know if the existing code works for oracle or mssql?  If it already works for them, I want to be careful not to break them.  But if it doesn't work, that is less of a concern.  sqlite3 supports the mysql AUTOINCREMENT syntax, but I don't think oracle or mssql do and so I think they are broken already.
Comment 3 Gerrit Notification Bot 2014-05-13 07:53:33 UTC
Change 132328 merged by jenkins-bot:
UploadWizard: Add support for PostgreSQL

https://gerrit.wikimedia.org/r/132328
Comment 4 Jeff Janes 2014-06-16 22:10:54 UTC
The fix is merged into git, but UploadWizard does not seem to have tarball releases anymore and so the fixed code must be obtained from git.

Does that mean it is now "resolved fixed", or is it still waiting for something?
Comment 5 Andre Klapper 2014-06-17 09:53:06 UTC
Thanks for the heads-up. Closing as RESOLVED FIXED (which means that a fix was merged into the code repository).
Comment 6 Gerrit Notification Bot 2014-06-21 12:15:27 UTC
Change 141203 had a related patch set uploaded by Inchikutty:
UploadWizard: Add support for PostgreSQL

https://gerrit.wikimedia.org/r/141203
Comment 7 Gerrit Notification Bot 2014-06-21 14:20:08 UTC
Change 141203 abandoned by Alex Monk:
UploadWizard: Add support for PostgreSQL

https://gerrit.wikimedia.org/r/141203
Comment 8 Andre Klapper 2014-06-21 15:49:23 UTC
[Restoring previous FIXED status]

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links